Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030052
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2015-05-30 19:532015-11-14 13:02
ReportershuehnerView Statuspublic 
Assigned Toshuehner 
PrioritynormalResolutionfixedFixed in Version3.0PR15Q3
StatusclosedFix in branchFixed in SCM revision56776f691f4b
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030052: Lots of 'Unnecessary cast' warnings in pi after enabling that extra warning in Eclipse

DescriptionThe Eclipse IDE can show optional warnings. One of those is 'Unnecessary casts'.

Which shows redundant code doing

i.e.
String test;
String test = (String) test;

or many similar cases.

As that code is not useful and makes it harder to read+understand it should be fixed.
Steps To ReproduceEclipse
Project or global setting
Java -> Compile -> Errors/Warnings
- in section Unnecessary Code
Enable:
- Unnecessary Cast or instanceof operation

Proposed SolutionRemove the unnecessary code.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0030055 closedshuehner Cleanup all eclipse warnings in src-trl 
blocks feature request 0031477 newshuehner Tracking issue to reduce the huge number of eclipse warnings in pi 

-  Notes
(0077931)
hgbot (developer)
2015-06-01 13:08

Repository: erp/devel/pi
Changeset: 56776f691f4baa93d7d453d54b2d6c94393e0da0
Author: Stefan Hühner <stefan.huehner <at> openbravo.com>
Date: Sat May 30 19:57:13 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/56776f691f4baa93d7d453d54b2d6c94393e0da0 [^]

Fixed 30052. Cleanup all 'Unnecessary cast' warnings from Eclipse.

As those extra casts are not useful and make the code harder to read/understand
-> Remove all those

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/actionHandler/PaymentProposalPickEditLines.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/filterexpression/AddOrderOrInvoiceFilterExpressionHandler.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_BankStatementProcess.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_ReconciliationProcess.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/FIN_BankStatementImport.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/FIN_Utility.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/GlobalMenu.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/MultipleDeleteActionHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/OBBindings.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/WindowSettingsActionHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/RemoveImagesEventHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/TreeTablesEventHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/event/UpdateInvariantCharacteristicsHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/navigationbarcomponents/UserInfoWidgetActionHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/personalization/PersonalizationHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/FormInitializationComponent.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/ImagesActionHandler.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/BaseComponent.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/BaseComponentProvider.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/KernelUtils.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/UIDefinition.java
M modules/org.openbravo.financial.paymentreport/src/org/openbravo/financial/paymentreport/erpCommon/ad_reports/PaymentReportDao.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/ADTreeDatasourceService.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/DataSourceServiceProvider.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/DefaultDataSourceService.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/LinkToParentTreeDatasourceService.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/NoteDataSource.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DataToJsonConverter.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/JsonToDataConverter.java
M src-core/src/org/openbravo/base/VariablesBase.java
M src-test/src/org/openbravo/test/dal/ADCachedMultiThreadTest.java
M src-test/src/org/openbravo/test/xml/EntityXMLIssues.java
M src/org/openbravo/base/model/Column.java
M src/org/openbravo/base/model/ModelProvider.java
M src/org/openbravo/base/session/OBYesNoType.java
M src/org/openbravo/base/structure/IdentifierProvider.java
M src/org/openbravo/common/actionhandler/KillProcess.java
M src/org/openbravo/common/datasource/ResultMapCriteriaUtils.java
M src/org/openbravo/common/datasource/StockReservationPickAndEditDataSource.java
M src/org/openbravo/costing/CostingAlgorithm.java
M src/org/openbravo/costing/CostingMigrationProcess.java
M src/org/openbravo/costing/CostingRuleProcess.java
M src/org/openbravo/costing/CostingRuleProcessOnProcessHandler.java
M src/org/openbravo/costing/InventoryAmountUpdateProcess.java
M src/org/openbravo/costing/LCMatchingProcess.java
M src/org/openbravo/costing/LandedCostDistributionByAmount.java
M src/org/openbravo/costing/LandedCostProcess.java
M src/org/openbravo/dal/security/SecurityChecker.java
M src/org/openbravo/dal/service/OBDao.java
M src/org/openbravo/dal/xml/EntityExcelXMLConverter.java
M src/org/openbravo/dal/xml/EntityXMLConverter.java
M src/org/openbravo/erpCommon/ad_actionButton/ExportReferenceData.java
M src/org/openbravo/erpCommon/ad_callouts/SL_SequenceProduct_Product_Attribute.java
M src/org/openbravo/erpCommon/ad_forms/ModuleManagement.java
M src/org/openbravo/erpCommon/ad_forms/UpdateReferenceData.java
M src/org/openbravo/erpCommon/ad_process/MRPPurchaseCreateReservations.java
M src/org/openbravo/erpCommon/ad_process/RegisterModule.java
M src/org/openbravo/erpCommon/businessUtility/InitialClientSetup.java
M src/org/openbravo/erpCommon/info/ImageInfoBLOB.java
M src/org/openbravo/erpCommon/modules/ImportModule.java
M src/org/openbravo/erpCommon/modules/VersionUtility.java
M src/org/openbravo/erpCommon/utility/GenericTree.java
M src/org/openbravo/erpCommon/utility/Utility.java
M src/org/openbravo/erpCommon/utility/reporting/printing/PrintController.java
M src/org/openbravo/erpReports/ReportVatRegisterJR.java
M src/org/openbravo/materialmgmt/InventoryCountProcess.java
M src/org/openbravo/materialmgmt/VariantAutomaticGenerationProcess.java
M src/org/openbravo/materialmgmt/VariantChDescUpdateProcess.java
M src/org/openbravo/service/db/CallProcess.java
M src/org/openbravo/service/db/DataImportService.java
M src/org/openbravo/service/importprocess/ImportProcessUtils.java
---
(0078058)
alostale (developer)
2015-06-04 12:28

code reviewed and discused with SHU

- Issue History
Date Modified Username Field Change
2015-05-30 19:53 shuehner New Issue
2015-05-30 19:53 shuehner Assigned To => platform
2015-05-30 19:53 shuehner Modules => Core
2015-05-30 19:53 shuehner Triggers an Emergency Pack => No
2015-05-30 21:35 shuehner Assigned To platform => shuehner
2015-06-01 13:08 hgbot Checkin
2015-06-01 13:08 hgbot Note Added: 0077931
2015-06-01 13:08 hgbot Status new => resolved
2015-06-01 13:08 hgbot Resolution open => fixed
2015-06-01 13:08 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/56776f691f4baa93d7d453d54b2d6c94393e0da0 [^]
2015-06-01 13:10 shuehner Review Assigned To => alostale
2015-06-04 12:18 alostale Relationship added related to 0030088
2015-06-04 12:24 alostale Relationship added related to 0030055
2015-06-04 12:28 alostale Note Added: 0078058
2015-06-04 12:28 alostale Status resolved => closed
2015-06-04 12:28 alostale Fixed in Version => 3.0PR15Q3
2015-11-14 13:02 shuehner Relationship added blocks 0031477
2015-11-14 13:04 shuehner Relationship deleted related to 0030088


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker